Update end users

PUT
/beta/endusers

Bulk update end users.

Authorization

ApiKeyAuth organization.member
headerAuthorization<token>

Scope: organization.member

Request Body

List of end user update actions

application/json
  1. body
data?array<>

Response Body

The updated end users

application/json
  1. response
data?array<|>
Example Request
curl -X PUT 'https://dev.dixa.io/beta/endusers' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "data": [    {      "id": "d4826125-559f-496f-ad71-a0340f0cae06",      "displayName": "Alice Brown",      "email": "alice@brown.com",      "phoneNumber": "+551155256325",      "additionalEmails": [        "alice@secondary.email"      ],      "additionalPhoneNumbers": [        "+5566778899"      ],      "firstName": "Alice",      "lastName": "Brown",      "middleNames": [        "J."      ],      "avatarUrl": "http://avatar.url",      "externalId": "#12345678"    }  ]}'
{
"data": [
{
"data": {
"id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Alice Brown",
"email": "alice@brown.com",
"phoneNumber": "+551155256325",
"additionalEmails": [
"alice@secondary.email"
],
"additionalPhoneNumbers": [
"+5566778899"
],
"firstName": "Alice",
"lastName": "Brown",
"middleNames": [
"J."
],
"avatarUrl": "https://files.dixa.io/public/image_id",
"externalId": "#12345678",
"customAttributes": [
{
"id": "4baa78bc-4815-4122-9c99-f71cd742d37b",
"name": "My Attribute",
"identifier": "my_attribute",
"value": "My Attribute Value"
}
]
},
"_type": "BulkActionSuccess"
},
{
"error": {
"id": "8fe8f4c3-7bc6-4767-924a-d9afa7ac7009",
"message": "Updating EndUser [id:8fe8f4c3-7bc6-4767-924a-d9afa7ac7009] failed with [errors:PhoneNumberExists]",
"_type": "Validation"
},
"_type": "BulkActionFailure"
}
]
}